@import url("../css/main.css");

h2 {
	font-size: 24px;
}

#div_error {
    background-color: var(--pseudo-white);
    border-radius: 12px;

    transform: translate(-50%, 0%);

    position: fixed;
    top: 30px;
    left: 50vw;

    z-index: 10;
}

.login_div {
    position: absolute;
    top: 50vh;
    left: 50vw;

    transform: translate(-50%, -45%);

    animation: fadeInAnimation ease 1s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;

    transition: transform 1s ease;
}

.start_animate_div {
    transform: translate(-50%, -50%);
}

@keyframes fadeInAnimation {
    0% {
        opacity: 0.5;
    }
    100% {
        opacity: 1;
    }
}

#login {
    text-align: center;

    width: 30vw;
    min-width: 300px;

    background-color: var(--pseudo-white);
    border-radius: var(--default-border-radius);
    transition: width 0.5s ease;
}

.form-control-lg {
    font-size: 0.91rem;
    height: 3.1rem;
	vertical-align: middle;

    border: 1px solid #8c8f92;
    border-radius: 8px;
}

.password_field {
    display: flex;
    position: relative;
}
.password_field input {
    transition: all 0.3s;
}

.show_hide {
    position: absolute;
    right: -30px;
    top: 27%;
    transform: translateY(-50%);
    font-size: 15px;
    cursor: pointer;
}

#button_login {
    width: 100%;
    border: none;
    background-color: var(--base-between-1-and-2);
    color: var(--pseudo-white);
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
  
    transition: background-color 0.5s ease;
}
  
#button_login:disabled,
#button_login[disabled] {
    background-color: var(--disabled-grey);
    transition: background-color 0.5s ease;
    cursor: auto;
}

#logo {
    width: 250px;
    position: absolute;
    top: 30px;
    left: 163px;

    transform: translate(-50%, 0%);

    transition: left 1s ease;
}

#form_login {
    font-size: 20px;
    color: #898989;
    width: 100%;
    border-color: #C1C1C1;
}

#register_link {
    font-size: 1rem;
    color: var(--base-between-1-and-2);
    text-decoration: underline;
    transition: text-decoration 0.7s ease;
}
#register_link:hover {
    text-decoration: none;
}

#rechtliches {
    position: fixed;
    transform: translate(-50%, -50%);
    bottom: 10px;
    left: 50.5%;
	text-align: center;
}

#rechtliches a {
    color: #290509;
    font-size: 1.1rem;
    text-decoration: none;
    margin: 0px 7px;
}
#rechtliches a:hover {
    text-decoration: underline;
}

@media only screen and (max-width: 1000px) {
    #logo {
        left: 50%;
    }
}